Introduction

Navigation: »No topics above this level«

New2 Active Resizer .NET Control Overview

 Return to chapter overview

The Award-Winning, Fastest .NET Forms Resizer Control On The Planet!

Offered at half the price of other .NET form resizer controls, but with a lot more features and support for an enormous number of controls, grids and third-party controls and grids!

VBGold Active Resizer .NET Control is a very light-weight control that makes your .NET windows applications completely resolution-independent with only 4 lines of code! Design your .NET applications at any screen resolution and have them run and look exactly the same at any screen resolution. This gives your applications an equally professional look and feel on all systems, resulting in increased sales of your software.

VBGold Active Resizer .NET Control automatically resizes and repositions all controls on a .NET windows form when the form is resized either by the user or from within code. The control automatically uses the resize event of its parent form and performs a very accurate proportional resizing / repositioning for all form controls!

Active Resizer .NET Control handles virtually any type of controls. It also handles complex controls like the SSTab Tabbed Dialog control, Data Grids, as well as both MSFlexGrid and MSHFlexGrid. It also perfectly handles the .NET Calendar control, the .NET ListView control, the .NET StatusBar control, the .NET Rich Text Box control, etc. In addition, it supports resizing the .NET picture boxes and their content (the picture).

Active Resizer .NET Control can handle any and every screen resolution at both design-time and at run-time (on both development machine and on the client machines).

Active Resizer .NET control was perfectly optimized for maximum processing speed, resulting in a perfect, 100% flicker-free ultra-fast resizing / repositioning process that is completely invisible to the user.

The control run-time is totally royalty-free! You pay once for a developer license and use / re-distribute the control with as many applications as you like.

Copyright © 2018 - VBGold Software

http://www.vbgold.com


Quick Start Guide

Navigation: Introduction >

Quick Start Guide

 Return to chapter overview

Here is a step-by-step for how to implement Active Resizer .NET Control into your Windows Forms Applications in the Visual Studio .NET IDE.

1. Design your form in the Visual Studio IDE as usual.

2. After completing your form design, use the "Ctrl" (the Control key on the keyboard) to select all labels, check boxes and option boxes on the form and change their AutoSize property to False.

3. Right-click on the Visual Studio Toolbox and click Choose Items... from the popup menu

4. The following dialog will open. Search for ActiveResizerDotNet and check (select) it. If you don't find it in the list, click Browse and locate the control DLL in the installation directory, click Open and it will appear in the list, then check it and click OK.

5. Once the control appears in the toolbox as shown below, drag it and drop it anywhere on the form. Once the control is on the form, it will appear as a display image as shown below.

6. Now select the control and take a look at its properties in the properties window as shown below. Specifically, you will see 6 properties that detect and capture your current screen resolution of your development machine. Do not change anything or mess up with these properties! Leave them as is.

7. Double-click anywhere on the form to open its code window. Enter these couple of code lines into your form code, under the Form_Load and Form_Resize events of the form as shown below. Only the code lines highlighted with yellow color are actually needed.

Public Class Form1

Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

ActiveResizerDotNet1.Initialize(Me)

Me.Width = Me.Width * ActiveResizerDotNet1.ScreenWidthRatio

Me.Height = Me.Height * ActiveResizerDotNet1.ScreenHeightRatio

'This line is only needed if you want the form to be centered on the screen

ActiveResizerDotNet1.AutoCenterForm()

'This line is only to show the About dialog of Active Resizer .NET Control (not needed)

ActiveResizerDotNet1.ShowAbout()

End Sub

Private Sub Form1_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize

ActiveResizerDotNet1.ResizeControls(Me)

End Sub

Public Sub New()

' This call is required by the Windows Form Designer.

InitializeComponent()

' Add any initialization after the InitializeComponent() call.

End Sub

Protected Overrides Sub Finalize()

MyBase.Finalize()

End Sub

End Class

8. You are done! Run the project and resize / maximize the form to see the "magic" of how all the controls on the form will be automatically resized and repositioned proportionally, based on the new size of the form.

9. Take the compiled executable (EXE) file of your project and the ActiveResizeDotNet.dll and copy them to another machine which has a different screen resolution than your development machine. Run the executable and see the "magic" of how your forms will be displayed in a different size, proportional to the new screen resolution. Of course, all the controls on the form will be resized and repositioned appropriately, based on the new size of the form and the screen resolution.

Note: If you notice any flickering when the form is resized, you can try the Form_ResizeEnd event of the form, instead of the Form_Resize event, where you should put the code line:

ActiveResizerDotNet1.ResizeControls(Me)

The differences here is that the resizing speed of the controls is significantly increased and no flickering (if any) will be noticed. The only downside of using this method is that the controls resizing and repositioning will be performed once the form window resizing is completed by the user or by code.


Excluding Controls From Being Resized

Navigation: Introduction >

Excluding Controls From Being Resized & Repositioned

 Return to chapter overview

Active Resizer .NET Control gives you full control over which controls on the form should be resized and/or repositioned when the form is resized or when the application is run on a different screen resolution, by providing you with powerful "Exclude Commands". By default, all controls on the form will be resized and repositioned and their fonts are resized proportionally.

To exclude a control from being resized and/or repositioned, or excluding its font from being resized, you can use the Tag property of the control to control the entire behaviour, as follows:

In the Tag property of the control, at design-time enter any of the following, or any combination of the following:

EX_ALL Totally excludes the control from being resized and repositioned and prevents its font from being resized

EX_LEFT Excludes the Left position (property) of the control from being changed

EX_TOP Excludes the Top position (property) of the control from being changed

EX_HEIGHT Excludes the control Height property from being changed

EX_WIDTH Excludes the control Width property from being changed

EX_FONT Excludes the control font from being resized

Examples of using combinations of the above commands:

EX_TOP, EX_LEFT

EX_WIDTH, EX_HEIGHT, EX_FONT

EX_TOP, EX_FONT